Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUAccessorIteratorDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCExecutableBindingDef
oracle.adf.model.binding.DCIteratorBindingDef
oracle.jbo.uicli.binding.JUIteratorDef
oracle.jbo.uicli.binding.JUAccessorIteratorDef`

All Implemented Interfaces:
  oracle.adf.model.binding.DCIExecutableDef

public class JUAccessorIteratorDef
extends JUIteratorDef

Field Summary
`static java.lang.String` | `PNAME_MasterBinding`

Fields inherited from class oracle.adf.model.binding.DCIteratorBindingDef
`mRangeSize, PNAME_RangeSize, PNAME_TYPE`

Fields inherited from class oracle.adf.model.binding.DCExecutableBindingDef
`EXECUTABLE_ACTION, EXECUTABLE_ITERATORBINDING, EXECUTABLE_REGION, PNAME_option, PNAME_option_ALWAYS, PNAME_option_DEFAULT, PNAME_option_DEFER, PNAME_option_NEVER, PNAME_option_PREPARE, PNAME_option_PREPARE_OPT, PNAME_option_REFRESH, PNAME_option_REFRESH_OPT, PNAME_option_RENDER, PNAME_option_RENDER_OPT, PNAME_optionExpr, RC_ALWAYS, RC_DEFAULT, RC_DEFER, RC_NEVER, RC_PREPARE, RC_PREPARE_OPT, RC_REFRESH, RC_REFRESH_OPT, RC_RENDER, RC_RENDER_OPT`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUAccessorIteratorDef()`
`JUAccessorIteratorDef(java.lang.String accName, java.lang.String mName)`
`JUAccessorIteratorDef(java.lang.String accName, java.lang.String mName, boolean trackMaster)`

Method Summary
`oracle.jbo.ViewObject` | `calcAccessorPath(DCIteratorBinding accBinding, java.lang.StringBuffer buf)` Advanced internal.
`DCIteratorBinding` | `createIterBinding(oracle.adf.model.BindingContext ctx, DCBindingContainer bc)`
`DCIteratorBinding` | `createIterBinding(oracle.adf.model.BindingContext ctx, DCBindingContainer bc, oracle.jbo.ApplicationModule anchorAM)`
`DCIteratorBinding` | `createIterBinding(DCDataControl dc, DCBindingContainer bc, RowSetIterator rsi)`
`DCIteratorBinding` | `createIterBinding(DCDataControl dc, DCBindingContainer bc, RowSetIterator masterRSI, Row masterRow, java.lang.String accName)` Advanced internal.
`java.lang.String` | `getAccessorName()`
`java.lang.String` | `getBeanClassName()`
`java.lang.String` | `getMasterBindingName()`
`void` | `init(java.util.HashMap initValues)`
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)`

Methods inherited from class oracle.adf.model.binding.DCIteratorBindingDef
`createExecutableBinding, getAMName, getBindsName, getDataControlName, getDesignTimeClass, getExecutableType, getLevel, getPermissionClassName, getPermissionTargetName, getRangeSize, getRSIName, getSortCriteria, getXMLElementTag, isObjectType, isSortable, isStateValidationEnabled, loadChildrenFromXML, setBindingContainerDef, setStateValidationEnabled`

Methods inherited from class oracle.adf.model.binding.DCExecutableBindingDef
`getName, getRefreshExpression, getRefreshOption, internalGetRefreshOptionFromString, internalHasPermission, isRefreshable`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNAME_MasterBinding

    public static final java.lang.String PNAME_MasterBinding

  See Also:
    Constant Field Values

Constructor Detail

### JUAccessorIteratorDef

    public JUAccessorIteratorDef()

### JUAccessorIteratorDef

    public JUAccessorIteratorDef(java.lang.String accName,
                                 java.lang.String mName)

### JUAccessorIteratorDef

    public JUAccessorIteratorDef(java.lang.String accName,
                                 java.lang.String mName,
                                 boolean trackMaster)

Method Detail

### getBeanClassName

    public java.lang.String getBeanClassName()

### createIterBinding

    public DCIteratorBinding createIterBinding(DCDataControl dc,
                                               DCBindingContainer bc,
                                               RowSetIterator rsi)

### createIterBinding

    public DCIteratorBinding createIterBinding(DCDataControl dc,
                                               DCBindingContainer bc,
                                               RowSetIterator masterRSI,
                                               Row masterRow,
                                               java.lang.String accName)

  Advanced internal. Used by tree node to create accessor iterator bindings that track the master by row key.

### createIterBinding

    public DCIteratorBinding createIterBinding(oracle.adf.model.BindingContext ctx,
                                               DCBindingContainer bc,
                                               oracle.jbo.ApplicationModule anchorAM)

  Overrides:
    `createIterBinding` in class `JUIteratorDef`

### createIterBinding

    public DCIteratorBinding createIterBinding(oracle.adf.model.BindingContext ctx,
                                               DCBindingContainer bc)

  Overrides:
    `createIterBinding` in class `JUIteratorDef`

### calcAccessorPath

    public oracle.jbo.ViewObject calcAccessorPath(DCIteratorBinding accBinding,
                                                  java.lang.StringBuffer buf)

  Advanced internal.

### getMasterBindingName

    public final java.lang.String getMasterBindingName()

### getAccessorName

    public java.lang.String getAccessorName()

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  Overrides:
    `retrieveFromXML` in class `DCIteratorBindingDef`

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `DCIteratorBindingDef`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.